Bug 52792 - konsole doesn't write to .bash_history [properly]
Summary: konsole doesn't write to .bash_history [properly]
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-29 04:44 UTC by pdenis2
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-29 04:44:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description pdenis2 2001-08-29 04:44:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.7-pre3.asl i686)

Description of problem:
Commands entered on konsole are not recorded in .bash_history unless
konsole is exited by **typing** exit.

Version-Release number of selected component (if applicable):
kdebase-2.1.1-8 


How reproducible:
Always

Steps to Reproduce:
1. open konsole; type some commands
2. close konsole either with file/quit or close button
3. open konsole; try up arrow or 'tail .bash_history' --commands are gone
4. (alternative): in step 2 close konsole by typing "exit".  
5. open konsole; up arrow or "tail .bash_history".	

Actual Results:  commands entered in step 1 are not available for recall in
step 3.  

Expected Results:  behave like xterm or any other term

Additional info:

This is discussed and reported fixed (8/27/01) as bug 31339 @bugs.kde.org
so it's a kde bug.

If it is indeed fixed, please incorporate into a new package ASAP.
[I thought 1) I was losing my mind; 2) bash was badly broken; 3) ?!!? ]

Comment 1 Bernhard Rosenkraenzer 2001-08-29 18:27:52 UTC
Fixed in 2.2-9



Note You need to log in before you can comment on or make changes to this bug.